#{form utils.GeneralSearchActionUtil.getCurrentUrl(), method:'GET', class:'filter-form custom-checkbox wrapper-filter'}
	#{authenticityToken/}
	<div class="sidebar-wrapper mart-2rem">
		<div class="sidebar-item kategori-berita">
			<div class="sidebar-item-title">
				<h5>FILTER</h5>
			</div>
		</div>
	</div>
	<label onclick="toggleUkm()" class="checkbox checkbox-custom path"><input id="umkm"
	${isUmkm==1 && first ? 'checked' : ''} name="umkm" type="checkbox" value="${ isUmkm==1 ? 1 : 0}" >
		Usaha Kecil Menengah (UKM) &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
		<svg viewBox="0 0 21 21">
		<path d="M5,10.75 L8.5,14.25 L19.4,2.3 C18.8333333,1.43333333 18.0333333,1 17,1 L4,1 C2.35,1 1,2.35 1,4 L1,17 C1,18.65 2.35,20 4,20 L17,20 C18.65,20 20,18.65 20,17 L20,7.99769186"></path>
		</svg></label>
	<div class="form-group">
		<label class="control-label category-trotoar">&{'kategori.label'}</label>
		<div class="filter-kategori">
			<div class="kategori-wrapper">
				<div class="kategori-list" id="style-5">
					#{kategoriTree kategori/}
				</div>
			</div>
		</div>
	</div>

	<input type="hidden" class="hidden-cat" name="cat" value="${params?.get("cat", java.lang.String.class)}"/>
	<input type="hidden" class="hidden-q" name="q" value="${params?.get("q", java.lang.String.class)}"/>
	<div class="form-group">
		<label class="control-label">&{'nama_produk.label'}</label>
		<input name="nama_produk" id="search-bar" class="form-control" placeholder="&{'nama_produk.label'}" value="${params?.nama_produk}" />
	</div>
	#{if komoditas?.isProvince()}
    <div class="form-group">
        <label class="control-label">&{'provinsi.label'}</label>
        <select id="provinsi"
                name="prid" class="form-control select2">
            <option value="">&{'pilih.label'}</option>
			#{list provinsiList, as:'pl'}
                <option value="${pl.id}" ${params?.get("prid", java.lang.Long.class) == pl.id ? 'selected' : ''}>${pl.nama_provinsi}</option>
			#{/list}
        </select>
    </div>
	#{/if}

	#{if komoditas?.isRegency()}
    <div class="form-group">
        <label class="control-label">&{'kabupaten.label'}</label>
        <select id="kabupaten" name="kabid" class="form-control select2">
            <option value="">&{'pilih.label'}</option>
			#{list provinsiList, as:'pl'}
				#{list pl.kabupatens, as:'kab'}
                    <option value="${kab.id}" ${params?.get("kabid", java.lang.Long.class) == kab.id ? 'selected' : ''}>${kab.nama_kabupaten}</option>
				#{/list}
			#{/list}
        </select>
    </div>
	#{/if}
	<!--<div class="form-group">
		%{
			arrayUmkm = ['Semua', 'Produk UMKM', 'Produk Non UMKM']
		}%
		<label class="control-label">UMKM</label>
		<select id="umkm" name="umkm" class="form-control select2">
			#{list arrayUmkm, as:'umkmItem'}
				<option value="${umkmItem_index - 1}">${umkmItem}</option>
			#{/list}
		</select>
	</div>-->
	<div class="form-group">
		<label class="control-label">&{'penyedia.label'}</label>
		<select id="penyedia"
				name="pid" class="form-control select2">
			<option value="">&{'pilih_semua.label'}</option>
			#{list penyediaList, as:'pl'}
				<option value="${pl.id}" ${params?.get("pid", java.lang.Long.class) == pl.id ? 'selected' : ''}>${pl.nama_penyedia}</option>
			#{/list}
		</select>
	</div>
	<div class="form-group">
		<label class="control-label">&{'merk.label'}</label>
		<select name="mid" class="form-control select2">
			<option value="">&{'pilih_semua.label'}</option>
			#{list manufakturList, as:'ml'}
				<option value="${ml.id}" ${params?.get("mid", java.lang.Long.class) == ml.id ? 'selected' : ''}>${ml.nama_manufaktur}</option>
			#{/list}
		</select>
	</div>
	<div class="form-group">
		<label class="control-label">&{'harga.label'}</label>
		<input name="gt" id="harga-minimum" class="form-control" placeholder="&{'harga_minimum.label'}" value="${params?.gt}" />
	</div>
	<div class="form-group">
		<input name="lt" id="harga-maximum" class="form-control" placeholder="&{'harga_maksimum.label'}" value="${params?.lt}" />
	</div>
	<button class="btn btn-block btn-primary btn-red" type="submit" id="submitBtn">&{'tampilkan.label'}</button>
#{/form}

#{set 'filterProductScript'}
<script type="text/javascript">

    $(document).ready(function() {
		$('.hidden-mobile #umkm').on('click', function(){
		   this.value = this.checked ? 1 : 0;
		   console.log(this.value)
		}).change();
		$('#mobile-sidebar #umkm').on('click', function(){
			this.value = this.checked ? 1 : 0;
			console.log(this.value)
		}).change();
		$('#mobile-sidebar #submitBtn').on('click', function(){
			closeSidebar();
		})
		$(document).on('click', '.kategori-link-item', function(){
            $(this).addClass("selected");
            $(".subkategori-list-item").addClass("selected");
            // console.log($(this).data('value'))
        });

        $(document).mouseup(function(e){
            // console.log('mouse up');
			// var subkategori = $(".sub-kategori-list-item");
			//
			// if(!subkategori.is(e.target) && subkategori.has(e.target).length === 0) {
			// 	$(".subkategori-list-item").removeClass("selected");
			// }
        });

    });
</script>
#{/set}